<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:7edd339d-4699-4952-936c-e91db7bff5ee,g:d0dc5b73-c59d-4e89-a182-15ef5c76a1f7-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_viscofan_DividendoACuentaMember_label_es" xlink:label="lab_viscofan_DividendoACuentaMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Dividendo a cuenta [Member]</link:label>
    <link:label id="lab_viscofan_DividendoACuentaMember_documentation_es" xlink:label="lab_viscofan_DividendoACuentaMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Dividendo A Cuenta</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_DividendoACuentaMember" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_DividendoACuentaMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_DividendoACuentaMember" xlink:to="lab_viscofan_DividendoACuentaMember" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones_label_es" xlink:label="lab_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Contribuciones Y Otros Pagos Relacionados Con Planes De Pensiones</link:label>
    <link:label id="lab_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones_documentation_es" xlink:label="lab_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Contribuciones Y Otros Pagos Relacionados Con Planes De Pensiones</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" xlink:to="lab_viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes_label_es" xlink:label="lab_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Otros Pasivos Financieros No Corrientes Excluyendo Los Pasivos Financieros Derivados No Corrientes</link:label>
    <link:label id="lab_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes_documentation_es" xlink:label="lab_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Otros Pasivos Financieros No Corrientes Excluyendo Los Pasivos Financieros Derivados No Corrientes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" xlink:to="lab_viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_31f9d100-653a-45af-a576-1b39e3395f3b_totalLabel_es" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de financiación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_EntregaDeAccionesPropiasDividendoACuenta_label_es" xlink:label="lab_viscofan_EntregaDeAccionesPropiasDividendoACuenta" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Incremento Decremento Por Entrega De Acciones Propias Dividendo A Cuenta</link:label>
    <link:label id="lab_viscofan_EntregaDeAccionesPropiasDividendoACuenta_documentation_es" xlink:label="lab_viscofan_EntregaDeAccionesPropiasDividendoACuenta" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Increase Decrease Through Treasury Share Transactions Dividend</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_EntregaDeAccionesPropiasDividendoACuenta" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_EntregaDeAccionesPropiasDividendoACuenta"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_EntregaDeAccionesPropiasDividendoACuenta" xlink:to="lab_viscofan_EntregaDeAccionesPropiasDividendoACuenta" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember_label_es" xlink:label="lab_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Resultado del Ejercicio Atribuido A La Entidad Dominante [Member]</link:label>
    <link:label id="lab_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember_documentation_es" xlink:label="lab_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Resultado del Ejercicio Atribuido A La Entidad Dominante</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" xlink:to="lab_viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_3714617a-7f39-4e20-895d-cefbf7a6290f_totalLabel_es" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de inversión</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_ReservasAcumuladas_label_es" xlink:label="lab_viscofan_ReservasAcumuladas" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Otras reservas</link:label>
    <link:label id="lab_viscofan_ReservasAcumuladas_documentation_es" xlink:label="lab_viscofan_ReservasAcumuladas" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Reservas Acumuladas</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_ReservasAcumuladas" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_ReservasAcumuladas"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_ReservasAcumuladas" xlink:to="lab_viscofan_ReservasAcumuladas" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_6518b645-f5a3-4b3c-90b2-881a16988eb6_totalLabel_es" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Impuesto sobre la renta agregado relativo a los componentes de otro resultado global que se reclasificará en el resultado</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_2b2e93a7-d28c-4a69-bfba-130e69ef5499_totalLabel_es" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de explotación</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_DividendoACuenta_label_es" xlink:label="lab_viscofan_DividendoACuenta" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Dividendo A Cuenta</link:label>
    <link:label id="lab_viscofan_DividendoACuenta_documentation_es" xlink:label="lab_viscofan_DividendoACuenta" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Dividendo A Cuenta</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_DividendoACuenta" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_DividendoACuenta"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_DividendoACuenta" xlink:to="lab_viscofan_DividendoACuenta" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_bd06429a-d0cc-4fea-8a0d-af6bc2c03d51_totalLabel_es" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Impuesto sobre la renta relativo a componentes de otro resultado global que no se reclasificarán en resultados</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_2105109a-5505-485f-aedf-11ffae95eb58_totalLabel_es" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Incremento (decremento) en efectivo y equivalentes al efectivo tras el efecto de las variaciones de los tipos de cambio</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_91e5c627-68fb-4502-b629-bf0e30b37bcd_totalLabel_es" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_ResultadoDelEjercicio_label_es" xlink:label="lab_viscofan_ResultadoDelEjercicio" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Resultado del ejercicio</link:label>
    <link:label id="lab_viscofan_ResultadoDelEjercicio_documentation_es" xlink:label="lab_viscofan_ResultadoDelEjercicio" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Resultado del ejercicio</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_ResultadoDelEjercicio" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_ResultadoDelEjercicio"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_ResultadoDelEjercicio" xlink:to="lab_viscofan_ResultadoDelEjercicio" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_ReservasMember_label_es" xlink:label="lab_viscofan_ReservasMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Reservas [member]</link:label>
    <link:label id="lab_viscofan_ReservasMember_documentation_es" xlink:label="lab_viscofan_ReservasMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Reservas</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_ReservasMember" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_ReservasMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_ReservasMember" xlink:to="lab_viscofan_ReservasMember" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_EntregaDeAccionesPropiasVariable_label_es" xlink:label="lab_viscofan_EntregaDeAccionesPropiasVariable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Incremento Decremento Por Entrega De Acciones Propias Variable</link:label>
    <link:label id="lab_viscofan_EntregaDeAccionesPropiasVariable_documentation_es" xlink:label="lab_viscofan_EntregaDeAccionesPropiasVariable" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Increase Decrease Through Treasury Share Transactions Variable Dividend</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_EntregaDeAccionesPropiasVariable" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_EntregaDeAccionesPropiasVariable"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_EntregaDeAccionesPropiasVariable" xlink:to="lab_viscofan_EntregaDeAccionesPropiasVariable" xlink:type="arc" order="1"/>
    <link:label id="lab_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes_label_es" xlink:label="lab_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Pasivos Financieros Corrientes Excluyendo Los Pasivos Financieros Derivados Corrientes</link:label>
    <link:label id="lab_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes_documentation_es" xlink:label="lab_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="es">Pasivos Financieros Corrientes Excluyendo Los Pasivos Financieros Derivados Corrientes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" xlink:href="95980020140005684765-2025-12-31.xsd#viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" xlink:to="lab_viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_f63a3ae5-fe40-45e8-b860-a89dd20a7a30_totalLabel_es" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Incremento (decremento) en efectivo y equivalentes al efectivo antes del efecto de la variación de los tipos de cambio</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
